Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 464951 - FTBFS gauche-gtk-0.4.1-17.fc9
Summary: FTBFS gauche-gtk-0.4.1-17.fc9
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gauche-gtk
Version: 10
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: F10FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-10-01 15:41 UTC by FTBFS
Modified: 2009-05-17 20:54 UTC (History)
3 users (show)

Fixed In Version: gauche-gtk-0.4.1-17.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-17 20:54:49 UTC


Attachments (Terms of Use)
root.log (deleted)
2008-10-01 15:41 UTC, FTBFS
no flags Details
build.log (deleted)
2008-10-01 15:41 UTC, FTBFS
no flags Details
mock.log (deleted)
2008-10-01 15:41 UTC, FTBFS
no flags Details

Description FTBFS 2008-10-01 15:41:10 UTC
gauche-gtk-0.4.1-17.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-10-01 15:41:13 UTC
Created attachment 318239 [details]
root.log

root.log for x86_64

Comment 2 FTBFS 2008-10-01 15:41:15 UTC
Created attachment 318240 [details]
build.log

build.log for x86_64

Comment 3 FTBFS 2008-10-01 15:41:15 UTC
Created attachment 318241 [details]
mock.log

mock.log for x86_64

Comment 4 Matt Domsch 2008-10-29 04:35:24 UTC
+ make -j4 OPTFLAGS=
cd src; make all
make[1]: Entering directory `/builddir/build/BUILD/Gauche-gtk-0.4.1/src'
/usr/bin/gauche-config --fixup-extension gtk gauche_gtk
gcc -std=gnu99 -DHAVE_CONFIG_H -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -I/usr/include/freetype2   -fPIC -I/usr/lib64/gauche/0.8.13/include   `pkg-config --cflags gtk+-2.0`   -c -o gauche-gtk.o gauche-gtk.c
/usr/bin/gosh genstub gauche-glib.stub
/usr/bin/gosh genstub gauche-gdklib.stub
/usr/bin/gosh genstub gdk.stub
GC Warning: Out of Memory!  Returning NIL!
out of memory (40).  aborting...


Hmm.  It's failing to build on machines with 2GB RAM and 2GB swap (not that it's being used), and with plenty of free memory.  I was hoping it was a transient error, but I've reproduced this now on another system too.

Comment 5 Bug Zapper 2008-11-26 03:19:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Milos Jakubicek 2009-05-17 20:54:49 UTC
Fixed long time ago.


Note You need to log in before you can comment on or make changes to this bug.